Managed Service for Greenplum® API, REST: ResourcePreset.List
Retrieves the list of available resource presets.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/resourcePresets
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
|
type |
enum (Type) Required field. Required. ResourcePreset type - master or segment.
|
Response
HTTP Code: 200 - OK
{
"resourcePresets": [
{
"id": "string",
"zoneIds": [
"string"
],
"diskTypeIds": [
"string"
],
"cores": "string",
"memory": "string",
"type": "string",
"hostCountDivider": "string",
"maxSegmentInHostCount": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
resourcePresets[] |
List of resource presets. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. The maximum string length in characters is 100. |
ResourcePreset
A preset of resources for hardware configuration of Greenplum® hosts.
|
Field |
Description |
|
id |
string ID of the resource preset. |
|
zoneIds[] |
string IDs of availability zones where the resource preset is available. |
|
diskTypeIds[] |
string IDs of availability disk types available in the resource preset. |
|
cores |
string (int64) Number of CPU cores for a Greenplum® host created with the preset. |
|
memory |
string (int64) RAM volume for a Greenplum® host created with the preset, in bytes. |
|
type |
enum (Type) Host type.
|
|
hostCountDivider |
string (int64) The number of hosts must be divisible by |
|
maxSegmentInHostCount |
string (int64) Maximum number of segments in segment host. |